Brew removing problem packages

In my last post I edited the opencv formula so I could get 2.4.8 before it was supported by brew. Now that they finally added 2.4.9 it was a pain to get it to forget my changes and just overwrite them.

error: Your local changes to the following files would be overwritten by merge:

I tried

rm /usr/local/Library/Taps/homebrew/homebrew-science/opencv.rb

This didn’t help so if you made any changes and brew finally gets the new version in my case for opencv the only thing that worked was

brew untap homebrew/science
brew update
brew tap homebrew/science

I hope this helps!

Advertisements

About jjyap

I'm an undergraduate student at Simon Fraser University. A lot of the fun projects and research that I work on are Computer Vision and Machine Learning related.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: